
package test.org.itscool.commons.dao2_2;


// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * 社員クラス
 * @author 加納
 * 作成日 2004/12/23
 */
public class Customer2 {
    
//    public static final String TABLE = "CUSTOMER2";
//    public static final String COLUM_id = "id";
//    public static final String COLUM_name = "name";
//    public static final String COLUM_companyId = "company_id";
//    public static final String COLUM_postId = "post_id";
    
    //1対1関連
    public static final String FK_TABLE_post2 = "POST2";
    public static final String FK_COLUM_post2_postId = "id";
    
    public static final String FK_TABLE_company2 = "COMPANY2";
    public static final String FK_COLUM_company2_companyId = "id";
    
    private int id;
    private String name;
    private int companyId;
    private int postId;
    
    private Post2 post2;
    private Company2 company2;
    
    /**
     * @return company を戻します。
     */
    public Company2 getCompany2() {
        return company2;
    }
    /**
     * @param company company を設定。
     */
    public void setCompany2(Company2 company2) {
        this.company2 = company2;
    }
    /**
     * @return companyId を戻します。
     */
    public int getCompanyId() {
        return companyId;
    }
    /**
     * @param companyId companyId を設定。
     */
    public void setCompanyId(int companyId) {
        this.companyId = companyId;
    }
    /**
     * @return id を戻します。
     */
    public int getId() {
        return id;
    }
    /**
     * @param id id を設定。
     */
    public void setId(int id) {
        this.id = id;
    }
    /**
     * @return name を戻します。
     */
    public String getName() {
        return name;
    }
    /**
     * @param name name を設定。
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return post を戻します。
     */
    public Post2 getPost2() {
        return post2;
    }
    /**
     * @param post post を設定。
     */
    public void setPost2(Post2 post2) {
        this.post2 = post2;
    }
    /**
     * @return postId を戻します。
     */
    public int getPostId() {
        return postId;
    }
    /**
     * @param postId postId を設定。
     */
    public void setPostId(int postId) {
        this.postId = postId;
    }
}
